use crate::controller::{node, user};
use actix_web::web::{self, route};

pub fn config(cfg: &mut web::ServiceConfig) {
    cfg.service(
        web::scope("/api/v1")
            .service(
                web::resource("/users")
                    .get(user::get_users)
                    .post(user::create_user),
            )
            .service(
                web::resource("/users/{id}")
                    .delete(user::delete_user)
                    .put(user::update_user),
            )
            .service(
                web::resource("/nodes")
                    .get(node::get_nodes)
                    .post(node::create_node),
            ),
    );
}
